Project:
RSS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009476Multi Theft Auto : San AndreasGUIpublic2016-11-29 00:392016-12-19 22:00
ReporterWalid_ 
Assigned Toccw 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.5.3 
Target Version1.6Fixed in Version1.5.4 
Summary0009476: guiCreateMemo can't type some languages into memo boxes
DescriptionI can't write arabic in memo
Steps To ReproduceguiCreateMemo() > and just try to write something in arabic
Additional Information* You can set arabic text using guiSetText().
* You can copy/paste arabic into a memo.
* With guiCreateEdit working fine.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0025448)
arranTuna (manager)
2016-11-30 11:41

My translation system uses memos and it has been used to translate English to Arabic so this can't be a problem for everyone.
(0025451)
Walid_ (viewer)
2016-11-30 21:35

Me too i have translation system i create it 3 years ago it have more than 13 languages, but what i'm talking about is you can't write arabic with your keyboard in memos, you can copy/paste , also you can use guiSetText.
Before i report this i tried to write something in arabic in your CITphone memo but i can't, same problem in other servers.
(0025473)
arranTuna (manager)
2016-12-06 15:21

Turns out that they hadn't reported this problem to me, until now, this video shows that they can't type Chinese into a memo box yet they can type it into the console edit box: https://youtu.be/gZev2Bhp3jI?t=69 [^]
(0025510)
ccw (administrator)
2016-12-19 22:00

Fixed in https://github.com/multitheftauto/mtasa-blue/commit/b075a56b894a06a9498923ea8283413a6423386d [^]

Please test with https://nightly.mtasa.com/?mtasa-1.5-latest [^]

- Issue History
Date Modified Username Field Change
2016-11-29 00:39 Walid_ New Issue
2016-11-30 11:41 arranTuna Note Added: 0025448
2016-11-30 21:35 Walid_ Note Added: 0025451
2016-11-30 21:49 ccw Summary guiCreateMemo issues => guiCreateMemo Arabic issues
2016-12-06 15:21 arranTuna Note Added: 0025473
2016-12-06 15:21 arranTuna Status new => confirmed
2016-12-06 15:21 arranTuna Summary guiCreateMemo Arabic issues => guiCreateMemo can't type some languages into memo boxes
2016-12-06 15:22 arranTuna Project New issues => Multi Theft Auto : San Andreas
2016-12-06 15:22 arranTuna Target Version => Confirmed Issues
2016-12-08 08:18 qaisjp Product Version => 1.5.3
2016-12-08 08:18 qaisjp Target Version Confirmed Issues => 1.6
2016-12-19 22:00 ccw Note Added: 0025510
2016-12-19 22:00 ccw Status confirmed => resolved
2016-12-19 22:00 ccw Fixed in Version => 1.5.4
2016-12-19 22:00 ccw Resolution open => fixed
2016-12-19 22:00 ccw Assigned To => ccw


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker